<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#000000"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="2"
        android:orientation="vertical">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fadeScrollbars="true"
            android:scrollbars="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:gravity="center">

                    <Button
                        android:id="@+id/longtu_demo_button_getuserinfo"
                        style="?android:attr/buttonStyleSmall"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="获取用户信息" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:gravity="center">

                    <Button
                        android:id="@+id/longtu_demo_button_addfriend"
                        style="?android:attr/buttonStyleSmall"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="游戏内加好友" />

                    <Button
                        android:id="@+id/longtu_demo_button_bindgroup"
                        style="?android:attr/buttonStyleSmall"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="绑定QQ群(会长)" />

                    <Button
                        android:id="@+id/longtu_demo_button_joingroup"
                        style="?android:attr/buttonStyleSmall"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="一键加群(会员)" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:gravity="center">

                    <Button
                        android:id="@+id/longtu_demo_button_checkbindgroup"
                        style="?android:attr/buttonStyleSmall"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="查询工会是否绑定群" />

                    <Button
                        android:id="@+id/longtu_demo_button_unbindgroup"
                        style="?android:attr/buttonStyleSmall"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="解绑群(QQ群主)" />

                    <Button
                        android:id="@+id/longtu_demo_button_checkjoingroup"
                        style="?android:attr/buttonStyleSmall"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="查询公会id和成员openid关系" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="10dp"
                    android:gravity="center">

                    <Button
                        android:id="@+id/longtu_demo_button_shareqq"
                        style="?android:attr/buttonStyleSmall"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="QQ分享" />

                    <Button
                        android:id="@+id/longtu_demo_button_sharezone"
                        style="?android:attr/buttonStyleSmall"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="Qzone分享" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="10dp"
                    android:gravity="center">

                    <Button
                        android:id="@+id/longtu_demo_button_openbuluo"
                        style="?android:attr/buttonStyleSmall"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="打开部落" />

                    <Button
                        android:id="@+id/longtu_demo_button_openurl"
                        style="?android:attr/buttonStyleSmall"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="打开https链接" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="10dp"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <EditText
                        android:id="@+id/longtu_demo_edittext_openid"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:layout_weight="1"
                        android:background="#ff0000"
                        android:gravity="center"
                        android:hint="请输入openId"
                        android:textColor="#ffffff" />

                    <EditText
                        android:id="@+id/longtu_demo_edittext_unionid"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:layout_weight="1"
                        android:background="#ff0000"
                        android:gravity="center"
                        android:hint="请输入工会ID"
                        android:textColor="#ffffff" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="10dp"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <EditText
                        android:id="@+id/longtu_demo_edittext_zoneid"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:layout_weight="1"
                        android:background="#ff0000"
                        android:gravity="center"
                        android:hint="请输入区服ID"
                        android:textColor="#ffffff" />

                    <EditText
                        android:id="@+id/longtu_demo_edittext_roleid"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:layout_weight="1"
                        android:background="#ff0000"
                        android:gravity="center"
                        android:hint="请输入角色ID"
                        android:textColor="#ffffff" />
                </LinearLayout>
            </LinearLayout>
        </ScrollView>
    </LinearLayout>

</LinearLayout>